Bug 10642 - Inappropriate uses of $sth->finish() in C4::RotatingCollections.pm
Summary: Inappropriate uses of $sth->finish() in C4::RotatingCollections.pm
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Architecture, internals, and plumbing (show other bugs)
Version: unspecified
Hardware: All All
: P5 - low normal (vote)
Assignee: kenza
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks: 10653
  Show dependency treegraph
 
Reported: 2013-07-25 11:41 UTC by kenza
Modified: 2014-12-07 20:03 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 10642 : Inappropriate uses of $sth->finish() in C4::RotatingCollections.pm (3.57 KB, patch)
2013-07-25 11:51 UTC, kenza
Details | Diff | Splinter Review
Bug 10642 : Inappropriate uses of $sth->finish() in C4::RotatingCollections.pm (3.62 KB, patch)
2013-08-08 23:15 UTC, Chris Cormack
Details | Diff | Splinter Review
Bug 10642 : Inappropriate uses of $sth->finish() in C4::RotatingCollections.pm (3.74 KB, patch)
2013-08-16 16:02 UTC, Kyle M Hall
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description kenza 2013-07-25 11:41:17 UTC

    
Comment 1 kenza 2013-07-25 11:51:45 UTC Comment hidden (obsolete)
Comment 2 Chris Cormack 2013-08-08 23:15:31 UTC Comment hidden (obsolete)
Comment 3 Kyle M Hall 2013-08-16 16:02:33 UTC
Created attachment 20425 [details] [review]
Bug 10642 : Inappropriate uses of $sth->finish() in C4::RotatingCollections.pm

From the man page

finish()
Indicate that no more data will be fetched from this statement handle
before it is either executed again or destroyed.
You almost certainly do not need to call this method.

Adding calls to "finish" after loop that fetches all rows is a common
mistake, don't do it, it can mask genuine problems like uncaught fetch errors.

Signed-off-by: Chris Cormack <chrisc@catalyst.net.nz>
Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Passes koha-qa.pl, passes UT provided by bug 10653
Comment 4 Galen Charlton 2013-08-16 16:23:00 UTC
Pushed to master.  Thanks, Kenza!
Comment 5 Tomás Cohen Arazi 2013-09-11 17:53:34 UTC
This patch has been pushed to 3.12.x, will be in 3.12.5.

Thanks Kenza!
Comment 6 Bernardo Gonzalez Kriegel 2013-09-14 22:38:52 UTC
Pushed to 3.10.x, will be in 3.10.11
Comment 7 Chris Hall 2013-10-21 19:39:26 UTC
Pushed to 3.8.x, will be in 3.8.19.